import 'package:zap_architecture/zap_architecture.dart';
import 'package:zap_server/zap_server.dart';

/// Created by Musa Usman on 18.01.2021
/// Copyright © 2021 Musa Usman. All rights reserved.
///
/// Email: hello@musausman.com
/// Website: musausman.com
/// WhatsApp: +1 307-459-1575

void main() async {
  ExampleServer server = ExampleServer();

  await server.start(portNumber: 8888);

  print(
      "Example Server Started!\nVISIT: ${server.serverAddress}:${server.port}");
}

class ExampleServer extends ZAPServer {
  @override
  Future<void> prepare() async {
    print("Preparing...");
  }

  @override
  Future<void> route(Router router) async {
    router.get(
      "/hello",
      () async => Response.success("Hello"),
    );
    router.get(
      "/world",
      () async => Response.success("Hello"),
    );
    router.post(
      "/awesome",
      () async => Response.success("Hello"),
    );
  }

  @override
  Response routeNotFound(String endpoint) =>
      Response.success("You have successfully entered the wrong path bro -_-");
}
